<?php

if ( ! defined( 'ABSPATH' ) ) exit;

function twitch_player_settings_game() {
$options = get_option('ttv_ezembed_options_player'); ?>
<input class='twitch_settings_gct' id='twitch_settings_game' name='ttv_ezembed_options_player[twitch_settings_game]' size='40' type='text' value="<?php echo $options['twitch_settings_game']; ?>" placeholder='Hearthstone'/><br><label>The <strong>game</strong> to fill the Twitch Player with. This will pull the top streamers for the game.</label><span class='error'>Choose either the GAME field, the CHANNEL field or the TEAM field.</span>
<?php }

function twitch_player_settings_channel() {
$options = get_option('ttv_ezembed_options_player');
echo "<input class='twitch_settings_gct' id='twitch_settings_channel' name='ttv_ezembed_options_player[twitch_settings_channel]' size='40' type='text' value='{$options['twitch_settings_channel']}' placeholder='ninja,shroud,tsm_myth'/><br><label>The twitch.tv <strong>channels</strong> to fill the Twitch Player with. This can be a single channel or multiple channels. Seperate multiple channels with a comma.</label><span class='error'>Choose either the GAME field, the CHANNEL field or the TEAM field.</span>";
echo "<input class='twitch_settings_hidden' id='twitch_settings_channel_id' name='ttv_ezembed_options_player[twitch_settings_channel_id]' size='40' type='text' value='{$options['twitch_settings_channel_id']}'/>";
}

function twitch_player_settings_team() {
$options = get_option('ttv_ezembed_options_player');
echo "<input class='twitch_settings_gct' id='twitch_settings_team' name='ttv_ezembed_options_player[twitch_settings_team]' size='40' type='text' value='{$options['twitch_settings_team']}' placeholder='connection_lost'/><br><label>The twitch.tv <strong>team</strong> to fill the Twitch Player with. This will pull the entire team but it will only show team members which are online.</label><span class='error'>Choose either the GAME field, the CHANNEL field or the TEAM field.</span>";
echo "<input class='twitch_settings_hidden' id='twitch_settings_team_id' name='ttv_ezembed_options_player[twitch_settings_team_id]' size='40' type='text' value='{$options['twitch_settings_team_id']}' placeholder=''/>";
echo "<input class='twitch_settings_hidden' id='twitch_settings_team_names' name='ttv_ezembed_options_player[twitch_settings_team_names]' size='40' type='text' value='{$options['twitch_settings_team_names']}' placeholder=''/>";
}

function twitch_player_settings_language() {
$options = get_option('ttv_ezembed_options_player');
echo "<input id='twitch_settings_language' name='ttv_ezembed_options_player[twitch_settings_language]' size='40' type='text' value='{$options['twitch_settings_language']}' placeholder='en'/><br><label>If you want to limit the <strong>game</strong> feed to a specific language, do that here. Use the <a target='_blank' href='https://en.wikipedia.org/wiki/ISO_639-'>ISO 639-1</a> language code. Leave this blank for all languages.</label>";
}

function twitch_player_settings_limit() {
$options = get_option('ttv_ezembed_options_player');
echo "<input id='twitch_settings_limit' name='ttv_ezembed_options_player[twitch_settings_limit]' size='40' type='text' value='{$options['twitch_settings_limit']}' placeholder='5'/><br><div><p class='upsell'>This is limited to 5. Upgrade to <a href='https://www.streamweasels.com/store/plugins/twitch-tv-player-pro/' target='_blank'>Twitch TV Player PRO</a> to increase this limit to 25 for Games and 100 for Teams and Channels.</p></div><div></div>";
}

function twitch_player_appearance_colour_theme() {
$options = get_option('ttv_ezembed_appearance_options_player');
$html = '<select id="twitch_appearance_colour_theme" name="ttv_ezembed_appearance_options_player[twitch_appearance_colour_theme]"/>
            <option value="light-theme" '.selected( $options['twitch_appearance_colour_theme'], 'light-theme', false ).'>Light Theme</option>
            <option value="dark-theme" '.selected( $options['twitch_appearance_colour_theme'], 'dark-theme', false ).'>Dark Theme</option>
        </select>';
    echo $html;
}

function twitch_player_settings_channel_offline() {
$options = get_option('ttv_ezembed_options_player');
echo "<input id='twitch_player_settings_channel_offline' name='ttv_ezembed_options_player[twitch_player_settings_channel_offline]' type='checkbox' value='1' " . checked( 1, $options['twitch_player_settings_channel_offline'], false ) . "/><label for='twitch_player_settings_channel_offline'>Show all channels, even if they're offline.</label><div></div>";
}

function twitch_player_settings_show_default() {
$options = get_option('ttv_ezembed_options_player');
echo "<input disabled class='disabled' id='twitch_player_settings_show_default' name='ttv_ezembed_options_player[twitch_player_settings_show_default]' type='checkbox' value='1' " . checked( 1, $options['twitch_player_settings_show_default'], false ) . "/><label for='twitch_player_settings_show_default'>Feature the top stream by default. Works even if they are offline or hosting.</label><div><p class='upsell'>This feature is only available in <a href='https://www.streamweasels.com/store/plugins/twitch-tv-player-pro/' target='_blank'>Twitch TV Player PRO</a></p></div><div></div>";
}

function twitch_player_settings_show_chat() {
$options = get_option('ttv_ezembed_options_player');
echo "<input disabled class='disabled' id='twitch_player_settings_show_chat' name='ttv_ezembed_options_player[twitch_player_settings_show_chat]' type='checkbox' value='1' " . checked( 1, $options['twitch_player_settings_show_chat'], false ) . "/><label for='twitch_player_settings_show_chat'>Show the stream and chat side-by-side.</label><div><p class='upsell'>This feature is only available in <a href='https://www.streamweasels.com/store/plugins/twitch-tv-player-pro/' target='_blank'>Twitch TV Player PRO</a>.</p></div><div></div>";
}

?>